Index: main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7719)
+++ main/waeup.sirp/trunk/src/waeup/sirp/locales/yo/LC_MESSAGES/waeup.sirp.po	(revision 7721)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.SIRP\n"
-"POT-Creation-Date: Tue Feb 28 21:45:08 2012\n"
+"POT-Creation-Date: Wed Feb 29 12:19:46 2012\n"
 "PO-Revision-Date: 2012-02-22 11:28+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -28,88 +28,88 @@
 "X-Poedit-SourceCharset: utf-8\n"
 
-#: waeup/sirp/accesscodes/browser.py:102
+#: waeup/sirp/accesscodes/browser.py:103
 msgid "Reimport"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:105
+#: waeup/sirp/accesscodes/browser.py:106
 msgid "Reimport Access Code Batches"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:110
+#: waeup/sirp/accesscodes/browser.py:111
 msgid "Reimport cancelled."
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:116
+#: waeup/sirp/accesscodes/browser.py:117
 msgid "No file chosen. Action cancelled."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/accesscodes/browser.py:126
+#: waeup/sirp/accesscodes/browser.py:127
 msgid "This batch already exists: ${a}"
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/accesscodes/browser.py:129
+#: waeup/sirp/accesscodes/browser.py:130
 msgid "Successfully reimported: ${a}"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:139
+#: waeup/sirp/accesscodes/browser.py:140
 msgid "Search and Manage Access Codes"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:140 waeup/sirp/browser/pages.py:592
+#: waeup/sirp/accesscodes/browser.py:141 waeup/sirp/browser/pages.py:592
 #: waeup/sirp/browser/viewlets.py:187
 msgid "Search"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:141
+#: waeup/sirp/accesscodes/browser.py:142
 msgid "Disable ACs"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:142
+#: waeup/sirp/accesscodes/browser.py:143
 msgid "Enable ACs"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:166
+#: waeup/sirp/accesscodes/browser.py:167
 msgid "AC disabled"
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/accesscodes/browser.py:168
+#: waeup/sirp/accesscodes/browser.py:169
 msgid "${a} disabled."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/accesscodes/browser.py:170
+#: waeup/sirp/accesscodes/browser.py:171
 msgid "${a}: Disable transition not allowed."
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:174
+#: waeup/sirp/accesscodes/browser.py:175
 msgid "AC re-enabled"
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/accesscodes/browser.py:176
+#: waeup/sirp/accesscodes/browser.py:177
 msgid "${a} (re-)enabled."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/accesscodes/browser.py:178
+#: waeup/sirp/accesscodes/browser.py:179
 msgid "${a}: Re-enable transition not allowed."
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:217
+#: waeup/sirp/accesscodes/browser.py:218
 msgid "Add Access Code Batch"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:226
+#: waeup/sirp/accesscodes/browser.py:227
 msgid "Reimport Access Code Batch"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:234
+#: waeup/sirp/accesscodes/browser.py:235
 msgid "Search Access Codes"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:243
+#: waeup/sirp/accesscodes/browser.py:244
 msgid "Access Codes"
 msgstr ""
@@ -123,6 +123,6 @@
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:46 waeup/sirp/accesscodes/browser.py:188
-#: waeup/sirp/accesscodes/browser.py:208
+#: waeup/sirp/accesscodes/browser.py:46 waeup/sirp/accesscodes/browser.py:189
+#: waeup/sirp/accesscodes/browser.py:209
 msgid "Access Code Batches"
 msgstr ""
@@ -150,5 +150,15 @@
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:90 waeup/sirp/accesscodes/browser.py:103
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:86
+msgid "Batch created (${a} entries)"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/accesscodes/browser.py:88
+msgid "Data written to ${a}"
+msgstr ""
+
+#: waeup/sirp/accesscodes/browser.py:91 waeup/sirp/accesscodes/browser.py:104
 #: waeup/sirp/applicants/browser.py:80 waeup/sirp/applicants/browser.py:129
 #: waeup/sirp/applicants/browser.py:181 waeup/sirp/applicants/browser.py:253
@@ -167,9 +177,11 @@
 #: waeup/sirp/browser/pages.py:1749 waeup/sirp/browser/pages.py:1751
 #: waeup/sirp/browser/pages.py:1786 waeup/sirp/browser/pages.py:1837
-#: waeup/sirp/browser/pages.py:1889
+#: waeup/sirp/browser/pages.py:1889 waeup/sirp/students/browser.py:568
+#: waeup/sirp/students/browser.py:569 waeup/sirp/students/browser.py:701
+#: waeup/sirp/students/browser.py:703 waeup/sirp/students/browser.py:839
 msgid "Cancel"
 msgstr ""
 
-#: waeup/sirp/accesscodes/browser.py:92
+#: waeup/sirp/accesscodes/browser.py:93
 msgid "Batch creation cancelled."
 msgstr ""
@@ -380,4 +392,8 @@
 #: waeup/sirp/browser/pages.py:1770 waeup/sirp/hostels/browser.py:209
 #: waeup/sirp/hostels/browser.py:231 waeup/sirp/hostels/browser.py:319
+#: waeup/sirp/students/browser.py:351 waeup/sirp/students/browser.py:442
+#: waeup/sirp/students/browser.py:519 waeup/sirp/students/browser.py:568
+#: waeup/sirp/students/browser.py:584 waeup/sirp/students/browser.py:701
+#: waeup/sirp/students/browser.py:722
 msgid "Save"
 msgstr ""
@@ -395,5 +411,6 @@
 #: waeup/sirp/browser/pages.py:1379 waeup/sirp/browser/pages.py:1701
 #: waeup/sirp/browser/pages.py:1773 waeup/sirp/browser/pages.py:1885
-#: waeup/sirp/hostels/browser.py:54
+#: waeup/sirp/hostels/browser.py:54 waeup/sirp/students/browser.py:79
+#: waeup/sirp/students/browser.py:377
 msgid "Form has been saved."
 msgstr ""
@@ -415,9 +432,9 @@
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:395
+#: waeup/sirp/applicants/browser.py:395 waeup/sirp/students/browser.py:277
 msgid "set"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:396
+#: waeup/sirp/applicants/browser.py:396 waeup/sirp/students/browser.py:278
 msgid "unset"
 msgstr ""
@@ -432,18 +449,18 @@
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:459
+#: waeup/sirp/applicants/browser.py:459 waeup/sirp/students/browser.py:974
 msgid "This type of payment has already been made."
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:472
+#: waeup/sirp/applicants/browser.py:472 waeup/sirp/students/browser.py:988
 msgid "Payment ticket created."
 msgstr ""
 
 #. Default: ""
-#: waeup/sirp/applicants/browser.py:499
+#: waeup/sirp/applicants/browser.py:499 waeup/sirp/students/browser.py:1007
 msgid "${a}: Online Payment Ticket ${b}"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:527
+#: waeup/sirp/applicants/browser.py:527 waeup/sirp/students/browser.py:1056
 msgid "Valid callback received."
 msgstr ""
@@ -480,4 +497,5 @@
 #: waeup/sirp/applicants/browser.py:653 waeup/sirp/applicants/browser.py:755
 #: waeup/sirp/applicants/browser.py:789 waeup/sirp/applicants/browser.py:824
+#: waeup/sirp/students/browser.py:931
 msgid "Add online payment ticket"
 msgstr ""
@@ -485,5 +503,6 @@
 #: waeup/sirp/applicants/browser.py:653 waeup/sirp/applicants/browser.py:760
 #: waeup/sirp/applicants/browser.py:789 waeup/sirp/applicants/browser.py:792
-#: waeup/sirp/applicants/browser.py:829
+#: waeup/sirp/applicants/browser.py:829 waeup/sirp/students/browser.py:703
+#: waeup/sirp/students/browser.py:731 waeup/sirp/students/browser.py:907
 msgid "Remove selected tickets"
 msgstr ""
@@ -494,9 +513,9 @@
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:683 waeup/sirp/students/browser.py:344
+#: waeup/sirp/applicants/browser.py:683 waeup/sirp/students/browser.py:348
 msgid "No transition"
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:730
+#: waeup/sirp/applicants/browser.py:730 waeup/sirp/students/browser.py:913
 msgid "No payment selected."
 msgstr ""
@@ -511,5 +530,6 @@
 #: waeup/sirp/browser/pages.py:1259 waeup/sirp/browser/pages.py:1270
 #: waeup/sirp/browser/pages.py:1336 waeup/sirp/browser/pages.py:1371
-#: waeup/sirp/hostels/browser.py:131
+#: waeup/sirp/hostels/browser.py:131 waeup/sirp/students/browser.py:1102
+#: waeup/sirp/students/browser.py:1115
 msgid "Remove selected"
 msgstr ""
@@ -520,5 +540,5 @@
 msgstr ""
 
-#: waeup/sirp/applicants/browser.py:802
+#: waeup/sirp/applicants/browser.py:802 waeup/sirp/students/browser.py:87
 msgid "The requested form is locked (read-only)."
 msgstr ""
@@ -764,16 +784,20 @@
 
 #: waeup/sirp/applicants/interfaces.py:385
+#: waeup/sirp/students/interfaces.py:154
 msgid "First Name"
 msgstr ""
 
 #: waeup/sirp/applicants/interfaces.py:389
+#: waeup/sirp/students/interfaces.py:159
 msgid "Middle Name"
 msgstr ""
 
 #: waeup/sirp/applicants/interfaces.py:393
+#: waeup/sirp/students/interfaces.py:164
 msgid "Last Name (Surname)"
 msgstr ""
 
 #: waeup/sirp/applicants/interfaces.py:397
+#: waeup/sirp/students/interfaces.py:213
 msgid "Date of Birth"
 msgstr ""
@@ -784,12 +808,15 @@
 
 #: waeup/sirp/applicants/interfaces.py:407
+#: waeup/sirp/students/interfaces.py:169
 msgid "Sex"
 msgstr ""
 
 #: waeup/sirp/applicants/interfaces.py:413
+#: waeup/sirp/students/interfaces.py:490
 msgid "Email Address"
 msgstr ""
 
 #: waeup/sirp/applicants/interfaces.py:418
+#: waeup/sirp/students/interfaces.py:203
 msgid "Phone"
 msgstr ""
@@ -826,4 +853,5 @@
 
 #: waeup/sirp/applicants/interfaces.py:473
+#: waeup/sirp/students/interfaces.py:149
 #: waeup/sirp/browser/templates/showstudentspage.pt:4
 msgid "Student Id"
@@ -835,4 +863,5 @@
 
 #: waeup/sirp/applicants/interfaces.py:557
+#: waeup/sirp/students/interfaces.py:469
 msgid "Payment Session"
 msgstr ""
@@ -887,4 +916,5 @@
 
 #: waeup/sirp/applicants/viewlets.py:151 waeup/sirp/applicants/workflow.py:99
+#: waeup/sirp/students/browser.py:250
 msgid "Create student record"
 msgstr ""
@@ -1069,5 +1099,5 @@
 
 #: waeup/sirp/browser/pages.py:113 waeup/sirp/hostels/browser.py:256
-#: waeup/sirp/hostels/browser.py:287
+#: waeup/sirp/hostels/browser.py:287 waeup/sirp/students/browser.py:222
 msgid "No item selected."
 msgstr ""
@@ -1124,5 +1154,7 @@
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:134
+#: waeup/sirp/browser/pages.py:134 waeup/sirp/students/browser.py:235
+#: waeup/sirp/students/browser.py:626 waeup/sirp/students/browser.py:747
+#: waeup/sirp/students/browser.py:925 waeup/sirp/students/browser.py:1135
 msgid "Successfully removed: ${a}"
 msgstr ""
@@ -1146,5 +1178,5 @@
 
 #: waeup/sirp/browser/pages.py:1467 waeup/sirp/browser/pages.py:1486
-#: waeup/sirp/students/viewlets.py:466
+#: waeup/sirp/students/browser.py:95 waeup/sirp/students/viewlets.py:466
 msgid "Students"
 msgstr ""
@@ -1256,5 +1288,5 @@
 
 #: waeup/sirp/browser/pages.py:253 waeup/sirp/browser/pages.py:272
-#: waeup/sirp/browser/pages.py:536
+#: waeup/sirp/browser/pages.py:536 waeup/sirp/students/browser.py:312
 msgid "Your message has been sent."
 msgstr ""
@@ -1305,5 +1337,5 @@
 
 #. Default: ""
-#: waeup/sirp/browser/pages.py:517
+#: waeup/sirp/browser/pages.py:517 waeup/sirp/students/browser.py:293
 msgid "Send message to ${a}"
 msgstr ""
@@ -1460,9 +1492,4 @@
 #: waeup/sirp/browser/templates/certificatemanagepage.pt:49
 msgid "Referrer"
-msgstr ""
-
-#: waeup/sirp/browser/templates/certificatepage.pt:30
-#: waeup/sirp/browser/templates/certificatemanagepage.pt:51
-msgid "Mandatory"
 msgstr ""
 
@@ -1730,16 +1757,4 @@
 msgstr ""
 
-#: waeup/sirp/browser/templates/showstudentspage.pt:7
-msgid "Certificate"
-msgstr ""
-
-#: waeup/sirp/browser/templates/showstudentspage.pt:8
-msgid "Current Session"
-msgstr ""
-
-#: waeup/sirp/browser/templates/showstudentspage.pt:9
-msgid "Current Level"
-msgstr ""
-
 #: waeup/sirp/browser/templates/staffsitelayout.pt:101
 #: waeup/sirp/browser/templates/studentsitelayout.pt:86
@@ -1961,5 +1976,5 @@
 msgstr ""
 
-#: waeup/sirp/hostels/interfaces.py:175
+#: waeup/sirp/hostels/interfaces.py:175 waeup/sirp/students/interfaces.py:427
 msgid "Bed Type"
 msgstr ""
@@ -2255,4 +2270,252 @@
 msgstr ""
 
+#: waeup/sirp/students/browser.py:1023
+msgid "This ticket has already been paid."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:1036 waeup/sirp/students/browser.py:1044
+#: waeup/sirp/students/browser.py:1052
+msgid "Valid callback received. ${a}"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:1106
+msgid "${a}: Accommodation"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1118
+msgid "You are not allowed to remove bed tickets."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1125
+msgid "No bed ticket selected."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1156
+msgid "Add bed ticket"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1158
+msgid "Create bed ticket"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:116
+msgid "Study Course"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1166
+msgid "Your data are incomplete."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1170
+msgid "You are in the wrong registration state."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1181
+msgid "You already booked a bed space in current accommodation session."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1192
+msgid "Activation code is invalid."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:1212
+msgid "There is no free bed in your category ${a}."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:1217
+msgid "Activation code has already been used."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:122
+msgid "Payments"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:137
+msgid "Accommodation"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:146
+msgid "Bed Ticket ${a}"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:165
+msgid "Student Section"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:180 waeup/sirp/students/browser.py:214
+msgid "Empty search string."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:198
+msgid "Manage student section"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:220
+msgid "No student found."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:247
+msgid "Add student"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:255
+msgid "Student record created."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:271
+msgid "${a}: Base Data"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:314
+msgid "An smtp server error occurred."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:325
+msgid "Manage base data"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:394
+msgid "${a}: Clearance Data"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:428
+msgid "Manage clearance data"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:457
+msgid "Student has been cleared."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:459 waeup/sirp/students/browser.py:483
+msgid "Student is in wrong state."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:476
+msgid "Clearance has been annulled."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:480
+msgid "Clearance request has been rejected."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:506
+msgid "${a}: Personal Data"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:516
+msgid "Manage personal data"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:536
+msgid "${a}: Study Course"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:566
+msgid "Manage study course"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:569 waeup/sirp/students/browser.py:610
+msgid "Remove selected levels"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:570 waeup/sirp/students/browser.py:596
+msgid "Add study level"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:604
+msgid "Study level has been added."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:606
+msgid "This level exists."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:616
+msgid "No study level selected."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:648
+msgid "${a}: Study Level ${b}"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:702 waeup/sirp/students/browser.py:727
+#: waeup/sirp/students/browser.py:812 waeup/sirp/students/browser.py:817
+msgid "Add course ticket"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:719
+msgid "Manage study level ${a}"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:737
+msgid "No ticket selected."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:761 waeup/sirp/students/browser.py:783
+msgid "This level does not correspond current level."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:765
+msgid "Course list has been validated."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:767 waeup/sirp/students/browser.py:795
+msgid "Student is in the wrong state."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:788
+msgid "Course list request has been annulled."
+msgstr ""
+
+#: waeup/sirp/students/browser.py:792
+msgid "Course list request has been rejected:"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:832
+msgid "The ticket exists."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:834
+msgid "Successfully added ${a}."
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:855
+msgid "${a}: Course Ticket ${b}"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:871
+msgid "Manage course ticket ${a}"
+msgstr ""
+
+#. Default: ""
+#: waeup/sirp/students/browser.py:898
+msgid "${a}: Payments"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:943
+msgid "Add online payment"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:946
+msgid "Create ticket"
+msgstr ""
+
+#: waeup/sirp/students/browser.py:954 waeup/sirp/students/browser.py:1176
+msgid "Your current session does not match accommodation session."
+msgstr ""
+
 #. Default: "Please solve the captcha<br />to prevent misuse of this service:"
 #: waeup/sirp/students/browser_templates/changepw.pt:26
@@ -2266,4 +2529,113 @@
 msgstr ""
 
+#: waeup/sirp/students/interfaces.py:176 waeup/sirp/students/interfaces.py:255
+#: waeup/sirp/students/interfaces.py:483
+msgid "Registration Number"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:183 waeup/sirp/students/interfaces.py:265
+msgid "Matriculation Number"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:191
+msgid "PWD Activation Code"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:198
+msgid "Email"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:218
+msgid "Clearance form locked"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:223
+msgid "CLR Activation Code"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:231
+msgid "Nationality"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:241
+msgid "Permanent Address"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:275
+#: waeup/sirp/browser/templates/showstudentspage.pt:7
+msgid "Certificate"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:282
+msgid "Entry Mode"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:290
+msgid "Entry Session"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:299
+#: waeup/sirp/browser/templates/showstudentspage.pt:8
+msgid "Current Session"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:307
+#: waeup/sirp/browser/templates/showstudentspage.pt:9
+msgid "Current Level"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:315
+msgid "Current Verdict"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:322
+msgid "Previous Verdict"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:337 waeup/sirp/students/interfaces.py:434
+msgid "Session"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:344
+msgid "Verdict"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:363
+#: waeup/sirp/browser/templates/certificatepage.pt:30
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:51
+msgid "Mandatory"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:370
+msgid "Score"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:377
+msgid "Automatical Creation"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:384
+msgid "Carry-over Course"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:403
+#: waeup/sirp/university/interfaces.py:299
+#: waeup/sirp/browser/templates/certificatepage.pt:29
+#: waeup/sirp/browser/templates/certificatemanagepage.pt:50
+msgid "Course"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:420
+msgid "Bed Coordinates"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:442
+msgid "Booking Date"
+msgstr ""
+
+#: waeup/sirp/students/interfaces.py:448
+msgid "Booking Activation Code"
+msgstr ""
+
 #. Default: ""
 #: waeup/sirp/students/utils.py:163
@@ -2489,10 +2861,4 @@
 #: waeup/sirp/university/interfaces.py:277
 msgid "Is mandatory course (not elective)"
-msgstr ""
-
-#: waeup/sirp/university/interfaces.py:299
-#: waeup/sirp/browser/templates/certificatepage.pt:29
-#: waeup/sirp/browser/templates/certificatemanagepage.pt:50
-msgid "Course"
 msgstr ""
 