Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7735)
@@ -169,4 +169,5 @@
     grok.template('containerpage')
     label = _('Student Section')
+    search_button = _('Search')
     pnav = 4
 
@@ -202,4 +203,6 @@
     pnav = 4
     label = _('Manage student section')
+    search_button = _('Search')
+    remove_button = _('Remove selected')
 
     def update(self, *args, **kw):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt	(revision 7735)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="POST"
-      enctype="multipart/form-data">
+      i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
   <table class="display dataTableManage">
@@ -6,8 +6,8 @@
     <tr>
       <th tal:condition="not: layout/isStudent">&nbsp;</th>
-      <th>Session</th>
-      <th>Booking Date</th>
-      <th>Bed Coordinates</th>
-      <th>Bed Category</th>
+      <th i18n:translate="">Session</th>
+      <th i18n:translate="">Booking Date</th>
+      <th i18n:translate="">Bed Coordinates</th>
+      <th i18n:translate="">Bed Category</th>
     </tr>
     </thead>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7735)
@@ -1,8 +1,10 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      enctype="multipart/form-data">
+      i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
   <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1"><a href="#tab-1"><span>Base Data</span></a></li>
-    <li tal:attributes="class view/tab2"><a href="#tab-2"><span>Passport Picture</span></a></li>
+    <li tal:attributes="class view/tab1"><a href="#tab-1">
+    <span i18n:translate="">Base Data</span></a></li>
+    <li tal:attributes="class view/tab2"><a href="#tab-2">
+    <span i18n:translate="">Passport Picture</span></a></li>
   </ul>
 
@@ -15,5 +17,5 @@
               <td class="fieldname">
                 <span tal:condition="widget/required">*</span>
-                <span tal:content="widget/label">label</span>:
+                <span tal:content="widget/label">LABEL</span>:
               </td>
               <td>
@@ -22,8 +24,8 @@
                 </span>
                 <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">error</span>
+                  <span tal:replace="structure widget/error">ERROR</span>
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span tal:content="structure widget/hint">hint</span>
+                  <span tal:content="structure widget/hint">HINT</span>
                 </tal:hint>
               </td>
@@ -31,5 +33,5 @@
           </tal:block>
           <tr>
-            <td class="fieldname">Password:</td>
+            <td class="fieldname" i18n:translate="">Password:</td>
             <td>
               <input name="password" type="password"  />
@@ -37,5 +39,5 @@
           </tr>
           <tr>
-            <td class="fieldname">Retype password:</td>
+            <td class="fieldname" i18n:translate="">Retype password:</td>
             <td>
               <input name="control_password" type="password" />
@@ -43,5 +45,5 @@
           </tr>
           <tr>
-            <td class="fieldname">Registration Transition:</td>
+            <td class="fieldname" i18n:translate="">Registration Transition:</td>
             <td>
               <select id="transition" name="transition">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basepage.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basepage.pt	(revision 7735)
@@ -1,3 +1,3 @@
-<table class="form-table">
+<table i18n:domain="waeup.sirp" class="form-table">
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -12,5 +12,5 @@
     </tal:block>
     <tr>
-      <td class="fieldname">
+      <td class="fieldname" i18n:translate="">
           Password:
       </td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/change_password.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/change_password.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/change_password.pt	(revision 7735)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      enctype="multipart/form-data">
+      i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
   <input type="hidden" name="student_id" value=""
@@ -8,5 +8,5 @@
     <tbody>
       <tr>
-        <td class="fieldname">Password:</td>
+        <td class="fieldname" i18n:translate="">Password:</td>
         <td>
           <input name="change_password" type="password"  />
@@ -14,5 +14,5 @@
       </tr>
       <tr>
-        <td class="fieldname">Retype password:</td>
+        <td class="fieldname" i18n:translate="">Retype password:</td>
         <td>
           <input name="change_password_repeat" type="password" />
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7735)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      enctype="multipart/form-data">
+      i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
   <table class="form-table">
@@ -8,5 +8,5 @@
           <td class="fieldname">
               <span tal:condition="widget/required">*</span>
-              <span tal:content="widget/label">label</span>:
+              <span tal:content="widget/label">LABEL</span>:
           </td>
           <td>
@@ -15,8 +15,8 @@
             </span>
             <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
+              <span tal:replace="structure widget/error">ERROR</span>
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">HINT</span>
             </tal:hint>
           </td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7735)
@@ -1,8 +1,10 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      enctype="multipart/form-data">
+      i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
   <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1"><a href="#tab-1"><span>Clearance Data</span></a></li>
-    <li tal:attributes="class view/tab2"><a href="#tab-2"><span>Scans</span></a></li>
+    <li tal:attributes="class view/tab1"><a href="#tab-1">
+    <span i18n:translate="">Clearance Data</span></a></li>
+    <li tal:attributes="class view/tab2"><a href="#tab-2">
+    <span i18n:translate="">Scans</span></a></li>
   </ul>
   <div class="tab-content">
@@ -14,5 +16,5 @@
               <td class="fieldname">
                   <span tal:condition="widget/required">*</span>
-                  <span tal:content="widget/label">label</span>:
+                  <span tal:content="widget/label">LABEL</span>:
               </td>
               <td>
@@ -21,8 +23,8 @@
                 </span>
                 <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">error</span>
+                  <span tal:replace="structure widget/error">ERROR</span>
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span tal:content="structure widget/hint">hint</span>
+                  <span tal:content="structure widget/hint">HINT</span>
                 </tal:hint>
               </td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7735)
@@ -1,15 +1,16 @@
-<form method="POST">
+<form method="POST" i18n:domain="waeup.sirp">
 <br />
-  <input class="btn primary" type="submit" name="search" value="Search" />
-  for students
+  <input class="btn primary" type="submit" name="search"
+    tal:attributes="value view/search_button" />
+  <span i18n:translate="">for students</span>
 
   <select name="searchtype">
-    <option value="student_id">with id</option>
-    <option value="fullname">with name</option>
-    <option value="reg_number">with registration number</option>
-    <option value="matric_number">with matriculation number</option>
-    <option value="current_session">in session</option>
-    <option value="depcode">in department</option>
-    <option value="current_mode">in study mode</option>
+    <option i18n:translate="" value="student_id">with id</option>
+    <option i18n:translate="" value="fullname">with name</option>
+    <option i18n:translate="" value="reg_number">with registration number</option>
+    <option i18n:translate="" value="matric_number">with matriculation number</option>
+    <option i18n:translate="" value="current_session">in session</option>
+    <option i18n:translate="" value="depcode">in department</option>
+    <option i18n:translate="" value="current_mode">in study mode</option>
   </select>
 
@@ -24,5 +25,6 @@
          tal:attributes="value view/searchtype" />
 
-    <input type="checkbox" onClick="toggle(this, 'entries')" /> Select all
+    <input type="checkbox" onClick="toggle(this, 'entries')" />
+    <span  i18n:translate="">Select all</span>
     <br /><br />
 
@@ -31,9 +33,9 @@
     	<tr>
     	  <th>&nbsp;</th>
-        <th>Student Id</th>
-        <th>Reg. Number</th>
-        <th>Matric. Number</th>
-        <th>State</th>
-        <th>Full Name</th>
+        <th i18n:translate="">Student Id</th>
+        <th i18n:translate="">Reg. Number</th>
+        <th i18n:translate="">Matric. Number</th>
+        <th i18n:translate="">State</th>
+        <th i18n:translate="">Full Name</th>
     	</tr>
       </thead>
@@ -57,5 +59,6 @@
     </table>
     
-    <input type="submit" name="remove" value="Remove selected" class="btn"
+    <input type="submit" name="remove"
+           tal:attributes="value view/remove_button" class="btn"
            onclick="return confirmPost('Are you sure?')"/>
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containerpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containerpage.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containerpage.pt	(revision 7735)
@@ -1,15 +1,16 @@
-<form method="POST">
+<form method="POST" i18n:domain="waeup.sirp">
 <br />
-  <input class="btn primary" type="submit" name="search" value="Search" />
-  for students
+  <input class="btn primary" type="submit" name="search"
+    tal:attributes="value view/search_button" />
+  <span i18n:translate="">for students</span>
 
   <select name="searchtype">
-    <option value="student_id">with id</option>
-    <option value="fullname">with name</option>
-    <option value="reg_number">with registration number</option>
-    <option value="matric_number">with matriculation number</option>
-    <option value="current_session">in session</option>
-    <option value="depcode">in department</option>
-    <option value="current_mode">in study mode</option>
+    <option i18n:translate="" value="student_id">with id</option>
+    <option i18n:translate="" value="fullname">with name</option>
+    <option i18n:translate="" value="reg_number">with registration number</option>
+    <option i18n:translate="" value="matric_number">with matriculation number</option>
+    <option i18n:translate="" value="current_session">in session</option>
+    <option i18n:translate="" value="depcode">in department</option>
+    <option i18n:translate="" value="current_mode">in study mode</option>
   </select>
 
@@ -18,5 +19,5 @@
   <p>&nbsp;</p>
   <div tal:condition="view/hitlist">
-    <h3>Search Results</h3>
+    <h3 i18n:translate="">Search Results</h3>
     <input type="hidden" name="old_searchterm"
          tal:attributes="value view/searchterm" />
@@ -26,9 +27,9 @@
       <thead>
       <tr>
-        <th>Student Id</th>
-        <th>Reg. Number</th>
-        <th>Matric. Number</th>
-        <th>State</th>
-        <th>Full Name</th>
+        <th i18n:translate="">Student Id</th>
+        <th i18n:translate="">Reg. Number</th>
+        <th i18n:translate="">Matric. Number</th>
+        <th i18n:translate="">State</th>
+        <th i18n:translate="">Full Name</th>
       </tr>
       </thead>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7735)
@@ -1,9 +1,9 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      enctype="multipart/form-data">
+      i18n:domain="waeup.sirp" enctype="multipart/form-data">
 
   <table class="form-table">
     <tbody>
       <tr>
-        <td class="fieldname">
+        <td class="fieldname" i18n:translate="">
             Course Title:
         </td>
@@ -13,5 +13,5 @@
       </tr>
       <tr>
-        <td class="fieldname">
+        <td class="fieldname" i18n:translate="">
             Faculty:
         </td>
@@ -21,5 +21,5 @@
       </tr>
       <tr>
-        <td class="fieldname">
+        <td class="fieldname" i18n:translate="">
             Department:
         </td>
@@ -29,5 +29,5 @@
       </tr>
       <tr>
-        <td class="fieldname">
+        <td class="fieldname" i18n:translate="">
             Semester:
         </td>
@@ -37,5 +37,5 @@
       </tr>
       <tr>
-        <td class="fieldname">
+        <td class="fieldname" i18n:translate="">
             Credits:
         </td>
@@ -45,5 +45,5 @@
       </tr>
       <tr>
-        <td class="fieldname">
+        <td class="fieldname" i18n:translate="">
             Passmark:
         </td>
@@ -56,5 +56,5 @@
           <td class="fieldname">
               <span tal:condition="widget/required">*</span>
-              <span tal:content="widget/label">label</span>:
+              <span tal:content="widget/label">LABEL</span>:
           </td>
           <td>
@@ -63,8 +63,8 @@
             </span>
             <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
+              <span tal:replace="structure widget/error">ERROR</span>
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">HINT</span>
             </tal:hint>
           </td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketpage.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketpage.pt	(revision 7735)
@@ -1,3 +1,3 @@
-<table class="form-table">
+<table class="form-table" i18n:domain="waeup.sirp">
   <tbody>
     <tr>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/enterpin.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/enterpin.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/enterpin.pt	(revision 7735)
@@ -1,8 +1,10 @@
-<form method="POST">
+<form method="POST" i18n:domain="waeup.sirp">
   <table class="form-table">
     <tbody>
-      <tr><td>
+      <tr>
+        <td i18n:translate="">
         Activation Code:
-        </td><td>
+        </td>
+        <td>
         <span tal:replace="view/ac_prefix">PIN Prefix</span> -
         <input name="ac_series" type="text" class="span1" maxlength="3"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7735)
@@ -1,3 +1,3 @@
-<tr>
+<tr i18n:domain="waeup.sirp">
   <td class="fieldname">
     <span tal:replace="viewlet/label">FILENAME</span>:
@@ -5,5 +5,4 @@
   <td>
     <span class="widget">
-
       <tal:file tal:condition="viewlet/file_exists">
         <a tal:attributes="href viewlet/download_name"
@@ -18,11 +17,13 @@
       <input type="submit" tal:condition="viewlet/file_exists"
              tal:attributes="id python:('delete_%s' % viewlet.input_name);
-                name python:('delete_%s' % viewlet.input_name)"
-             value="Delete attachment" class="btn error" />
+                name python:('delete_%s' % viewlet.input_name);
+                value viewlet/delete_button"
+             class="btn error" />
       <input type="submit"
                tal:attributes="id python:('upload_%s' % viewlet.input_name);
-                  name python:('upload_%s' % viewlet.input_name)"
-               value="Upload new file" class="btn primary" />
-      <span i18n:translate="max_file_size">
+                  name python:('upload_%s' % viewlet.input_name);
+                  value viewlet/upload_button"
+               class="btn primary" />
+      <span i18n:translate="">
         Max. file size:
       </span>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7734)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7735)
@@ -22,4 +22,5 @@
 from waeup.sirp.interfaces import (
     ISIRPObject, IExtFileStore, IFileStoreNameChooser)
+from waeup.sirp.interfaces import MessageFactory as _
 from waeup.sirp.utils.helpers import string_from_bytes, file_size
 from waeup.sirp.browser import DEFAULT_IMAGE_PATH
@@ -624,4 +625,6 @@
     tab_redirect = '?tab2'
     mus = 1024 * 150
+    upload_button =_('Upload new file')
+    delete_button = _('Delete attachment')
 
     @property