Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicanteditpage.pt	(revision 7737)
@@ -14,23 +14,5 @@
   <table class="form-table">
     <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-            <span tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">label</span>:
-          </td>
-          <td>
-            <span tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">hint</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+      <tal:widgets content="structure provider:widgets" />
       <tr>
         <td class="fieldname" i18n:translate="">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantregister.pt	(revision 7737)
@@ -4,23 +4,5 @@
   <table class="form-table">
     <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-            <span tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">LABEL</span>:
-          </td>
-          <td>
-            <span tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">ERROR</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">HINT</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+      <tal:widgets content="structure provider:widgets" />
       <tr tal:condition="view/captcha_code">
         <td i18n:translate="">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 7737)
@@ -4,23 +4,5 @@
   <table class="form-table">
     <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-            <span tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">LABEL</span>:
-          </td>
-          <td>
-            <span tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">ERROR</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">HINT</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+      <tal:widgets content="structure provider:widgets" />
     </tbody>
   </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 7737)
@@ -23,26 +23,5 @@
       <table class="form-table">
         <tbody>
-          <tal:block repeat="widget view/widgets">
-            <tr>
-              <td class="fieldname">
-                <span tal:condition="widget/required">*
-                </span>
-                <span tal:content="widget/label">LABEL
-                </span>:
-              </td>
-              <td>
-                <span tal:content="structure widget">
-                  <input type="text" />
-                </span>
-                <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">ERROR
-                  </span>
-                </tal:error>
-                <tal:hint tal:condition="widget/hint">
-                  <span  tal:content="structure widget/hint">HINT
-                  </span>
-                </tal:hint> </td>
-            </tr>
-          </tal:block>
+          <tal:widgets content="structure provider:widgets" />
         </tbody>
       </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 7737)
@@ -12,5 +12,5 @@
     <table class="form-table">
       <tbody>
-        <tal:widgets tal:content="structure provider:widgets" />
+        <tal:widgets content="structure provider:widgets" />
       </tbody>
     </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/configurationmanagepage.pt	(revision 7737)
@@ -13,26 +13,5 @@
       <table class="form-table">
         <tbody>
-          <tal:block repeat="widget view/widgets">
-            <tr>
-              <td class="fieldname">
-                  <span tal:condition="widget/required">*
-                  </span>
-                  <span tal:content="widget/label">label
-                  </span>:
-              </td>
-              <td>
-                <span tal:content="structure widget">
-                  <input type="text" />
-                </span>
-                <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">error
-                  </span>
-                </tal:error>
-                <tal:hint tal:condition="widget/hint">
-                  <span tal:content="structure widget/hint">hint
-                  </span>
-                </tal:hint> </td>
-            </tr>
-          </tal:block>
+          <tal:widgets content="structure provider:widgets" />
         </tbody>
       </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 7737)
@@ -4,23 +4,5 @@
   <table class="form-table">
     <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-            <span tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">label</span>:
-          </td>
-          <td>
-            <span tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <div class="hint" tal:content="structure widget/hint">hint</div>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+      <tal:widgets content="structure provider:widgets" />
       <tal:files content="structure provider:files" />
     </tbody>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 7737)
@@ -21,26 +21,5 @@
       <table class="form-table">
         <tbody>
-          <tal:block repeat="widget view/widgets">
-            <tr>
-              <td class="fieldname">
-                  <span tal:condition="widget/required">*
-                  </span>
-                  <span tal:content="widget/label">label
-                  </span>:
-              </td>
-              <td>
-                <span tal:content="structure widget">
-                  <input type="text" />
-                </span>
-                <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">error
-                  </span>
-                </tal:error>
-                <tal:hint tal:condition="widget/hint">
-                  <span tal:content="structure widget/hint">hint
-                  </span>
-                </tal:hint> </td>
-            </tr>
-          </tal:block>
+          <tal:widgets content="structure provider:widgets" />
         </tbody>
       </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 7737)
@@ -22,5 +22,5 @@
       <table class="form-table">
         <tbody>
-          <tal:widgets tal:content="structure provider:widgets" />
+          <tal:widgets content="structure provider:widgets" />
         </tbody>
       </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/usereditformpage.pt	(revision 7737)
@@ -4,5 +4,5 @@
   <table class="form-table">
     <tbody>
-      <tal:widgets tal:content="structure provider:widgets" />
+      <tal:widgets content="structure provider:widgets" />
       <tr>
         <td i18n:translate="" class="fieldname">Password:</td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/widgets.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/widgets.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/widgets.pt	(revision 7737)
@@ -13,5 +13,5 @@
       </tal:error>
       <tal:hint tal:condition="widget/hint">
-        <span tal:content="structure widget/hint">HINT</span>
+        <div class="hint" tal:content="structure widget/hint">HINT</div>
       </tal:hint>
     </td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7737)
@@ -15,23 +15,5 @@
       <table class="form-table">
       <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-            <span class="required" tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">LABEL</span>:
-          </td>
-          <td>
-            <span class="widget" tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">ERROR</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">HINT</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+        <tal:widgets content="structure provider:widgets" />
       </tbody>
       </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7737)
@@ -13,23 +13,5 @@
       <table class="form-table">
         <tbody>
-          <tal:block repeat="widget view/widgets">
-            <tr>
-              <td class="fieldname">
-                <span tal:condition="widget/required">*</span>
-                <span tal:content="widget/label">LABEL</span>:
-              </td>
-              <td>
-                <span tal:content="structure widget">
-                  <input type="text" />
-                </span>
-                <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">ERROR</span>
-                </tal:error>
-                <tal:hint tal:condition="widget/hint">
-                  <span tal:content="structure widget/hint">HINT</span>
-                </tal:hint>
-              </td>
-            </tr>
-          </tal:block>
+          <tal:widgets content="structure provider:widgets" />
           <tr>
             <td class="fieldname" i18n:translate="">Password:</td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7737)
@@ -4,23 +4,5 @@
   <table class="form-table">
     <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-              <span tal:condition="widget/required">*</span>
-              <span tal:content="widget/label">LABEL</span>:
-          </td>
-          <td>
-            <span tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">ERROR</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">HINT</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+      <tal:widgets content="structure provider:widgets" />
       <tr tal:condition="view/captcha_code">
         <td i18n:translate="solve_captcha">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7737)
@@ -12,23 +12,5 @@
       <table class="form-table">
         <tbody>
-          <tal:block repeat="widget view/widgets">
-            <tr>
-              <td class="fieldname">
-                  <span tal:condition="widget/required">*</span>
-                  <span tal:content="widget/label">LABEL</span>:
-              </td>
-              <td>
-                <span tal:content="structure widget">
-                  <input type="text" />
-                </span>
-                <tal:error tal:condition="widget/error">
-                  <span tal:replace="structure widget/error">ERROR</span>
-                </tal:error>
-                <tal:hint tal:condition="widget/hint">
-                  <span tal:content="structure widget/hint">HINT</span>
-                </tal:hint>
-              </td>
-            </tr>
-          </tal:block>
+          <tal:widgets content="structure provider:widgets" />
         </tbody>
       </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7737)
@@ -52,23 +52,5 @@
         </td>
       </tr>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-              <span tal:condition="widget/required">*</span>
-              <span tal:content="widget/label">LABEL</span>:
-          </td>
-          <td>
-            <span tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">ERROR</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">HINT</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+      <tal:widgets content="structure provider:widgets" />
     </tbody>
   </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7737)
@@ -11,23 +11,5 @@
       <table class="form-table">
       <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-            <span class="required" tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">label</span>:
-          </td>
-          <td>
-            <span tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">hint</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+        <tal:widgets content="structure provider:widgets" />
       </tbody>
       </table>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7736)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7737)
@@ -11,23 +11,5 @@
       <table class="form-table">
       <tbody>
-      <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="fieldname">
-            <span class="required" tal:condition="widget/required">*</span>
-            <span tal:content="widget/label">label</span>:
-          </td>
-          <td>
-            <span tal:content="structure widget">
-              <input type="text" />
-            </span>
-            <tal:error tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </tal:error>
-            <tal:hint tal:condition="widget/hint">
-              <span tal:content="structure widget/hint">hint</span>
-            </tal:hint>
-          </td>
-        </tr>
-      </tal:block>
+        <tal:widgets content="structure provider:widgets" />
       </tbody>
       </table>