Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7740)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 7741)
@@ -326,5 +326,5 @@
                         id, sys.exc_info()[0], sys.exc_info()[1]))
         if len(deleted):
-            self.flash(_('Successfully removed: %s',
+            self.flash(_('Successfully removed: ${a}',
                 mapping = {'a':', '.join(deleted)}))
         self.redirect(self.url(self.context, u'@@manage')+'?tab2')
@@ -746,5 +746,5 @@
                             id, sys.exc_info()[0], sys.exc_info()[1]))
         if len(deleted):
-            self.flash(_('Successfully removed: %s',
+            self.flash(_('Successfully removed: ${a}',
                 mapping = {'a':', '.join(deleted)}))
             ob_class = self.__implemented__.__name__.replace('waeup.sirp.','')
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7740)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7741)
@@ -1184,5 +1184,5 @@
         except:
             self.flash(_('Given storage path cannot be used.'))
-            self.flash(_('Error: %s', mapping = {'a':sys.exc_info()[1]}))
+            self.flash(_('Error: ${a}', mapping = {'a':sys.exc_info()[1]}))
             return
         if newpath:
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt	(revision 7740)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt	(revision 7741)
@@ -5,5 +5,5 @@
     <thead>
     <tr>
-      <th i18n:translate="">&nbsp;</th>
+      <th>&nbsp;</th>
       <th i18n:translate="">Payment Id</th>
       <th i18n:translate="">Creation Date</th>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7740)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7741)
@@ -64,4 +64,4 @@
 <div i18n:domain="waeup.sirp"
   tal:condition="python: not len(context.keys())" i18n:translate="">
-  There no tickets added yet.
+  The're no tickets added yet.
 </div>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py	(revision 7740)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/utils.py	(revision 7741)
@@ -121,5 +121,5 @@
         data_right.append([f_label,f_text])
     table_left = Table(data_left,style=SLIP_STYLE)
-    table_right = Table(data_right,style=SLIP_STYLE, colWidths=[4*cm, 10*cm])
+    table_right = Table(data_right,style=SLIP_STYLE, colWidths=[6*cm, 8*cm])
     table = Table([[table_left, table_right],],style=SLIP_STYLE)
     return table
@@ -305,8 +305,12 @@
         fm.update()
         if fm.viewlets:
-            story.append(Paragraph('Scanned Documents', style["Heading3"]))
+            sc_translation = translate(_('Scanned Documents'), 'waeup.sirp',
+                target_language=portal_language)
+            story.append(Paragraph(sc_translation, style["Heading3"]))
             # Insert list of scanned documents
             for viewlet in fm.viewlets:
-                f_label = formatted_label(size=12) % viewlet.label
+                f_label = formatted_label(size=12) % translate(
+                viewlet.label, 'waeup.sirp',
+                target_language=portal_language)
                 f_label = Paragraph(f_label, style["Normal"])
                 if viewlet.template.__grok_name__ == 'imagedisplay':
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7740)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/viewlets.py	(revision 7741)
@@ -20,6 +20,7 @@
 from zope.component import getUtility
 from zope.interface import Interface
+from zope.i18n import translate
 from waeup.sirp.interfaces import (
-    ISIRPObject, IExtFileStore, IFileStoreNameChooser)
+    ISIRPObject, IExtFileStore, IFileStoreNameChooser, ISIRPUtils)
 from waeup.sirp.interfaces import MessageFactory as _
 from waeup.sirp.utils.helpers import string_from_bytes, file_size
@@ -72,6 +73,10 @@
     def render(self):
         url = self.view.url(self.context.getStudent(), self.link)
+        portal_language = getUtility(ISIRPUtils).PORTAL_LANGUAGE
+        lang = self.request.cookies.get('sirp.language', portal_language)
+        text = translate(self.text, 'waeup.sirp',
+            target_language=lang)
         return u'<li><a href="%s">%s</a></li>' % (
-                url, self.text)
+                url, text)
 
 class StudentManageApplicationLink(StudentManageLink):
Index: main/waeup.sirp/trunk/src/waeup/sirp/utils/utils.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/utils/utils.py	(revision 7740)
+++ main/waeup.sirp/trunk/src/waeup/sirp/utils/utils.py	(revision 7741)
@@ -44,5 +44,5 @@
     # which is used for the translation of system messages
     # (e.g. object histories).
-    PORTAL_LANGUAGE = 'en'
+    PORTAL_LANGUAGE = 'de'
 
     PREFERRED_LANGUAGES_DICT = {